
package de.ivu.elect.presentation.staat.form;

import javax.inject.Inject;

import de.ivu.elect.business.staat.boundary.StaatExtendedDAO;
import de.ivu.elect.business.staat.entity.Staat;
import de.ivu.elect.business.staat.entity.StaatPK;
import de.ivu.elect.business.staat.entity.StaatUK;
import de.ivu.elect.jee.entity.DAO;
import de.ivu.elect.jee.faces.AbstractEntityUniqueUKFacesValidator;

public class StaatUniqueUKFacesValidator extends AbstractEntityUniqueUKFacesValidator<Staat, StaatPK, StaatUK> {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient StaatExtendedDAO staatExtendedDAO;

  public StaatUniqueUKFacesValidator() {
    super();
  }

  @Override
  protected StaatUK createUK(Object value) {
    return new StaatUK((String) value);
  }

  @Override
  protected DAO<Staat, StaatPK, StaatUK> getDao() {
    return staatExtendedDAO;
  }
}
